Package org.apache.batchee.cli.command

## Class StartableCommand

- java.lang.Object
- - org.apache.batchee.cli.command.JobOperatorCommand
  - - org.apache.batchee.cli.command.SocketConfigurableCommand
    - - org.apache.batchee.cli.command.StartableCommand

- All Implemented Interfaces:
    `Runnable`
  Direct Known Subclasses:
    `Restart`, `Start`

      public abstract class StartableCommand
      extends SocketConfigurableCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `errorExitCode` |
    `protected int` | `failureExitCode` |
    `protected List<String>` | `properties` |

    - ### Fields inherited from class org.apache.batchee.cli.command.SocketConfigurableCommand

      `adminSocket, wait`

    - ### Fields inherited from class org.apache.batchee.cli.command.JobOperatorCommand

      `baseUrl, operator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StartableCommand()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doRun()` |
    `protected abstract long` | `doStart​(javax.batch.operations.JobOperator operator)` |
    `protected static Properties` | `toProperties​(List<String> properties)` |

    - ### Methods inherited from class org.apache.batchee.cli.command.JobOperatorCommand

      `info, operator, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected List<String> properties

    - #### errorExitCode

          protected int errorExitCode

    - #### failureExitCode

          protected int failureExitCode

  - ### Constructor Detail

    - #### StartableCommand

          public StartableCommand()

  - ### Method Detail

    - #### doRun

          public void doRun()

      Specified by:
        `doRun` in class `JobOperatorCommand`

    - #### doStart

          protected abstract long doStart​(javax.batch.operations.JobOperator operator)

    - #### toProperties

          protected static Properties toProperties​(List<String> properties)